// CI17View.cpp : implementation of the CCI17View class
//

#include "stdafx.h"
#include "CI17.h"

#include "CI17Doc.h"
#include "CI17View.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#endif


// CCI17View

IMPLEMENT_DYNCREATE(CCI17View, CView)

BEGIN_MESSAGE_MAP(CCI17View, CView)
	// Standard printing commands
	ON_COMMAND(ID_FILE_PRINT, CView::OnFilePrint)
	ON_COMMAND(ID_FILE_PRINT_DIRECT, CView::OnFilePrint)
	ON_COMMAND(ID_FILE_PRINT_PREVIEW, CView::OnFilePrintPreview)
	ON_WM_LBUTTONUP()
END_MESSAGE_MAP()

// CCI17View construction/destruction

CCI17View::CCI17View()
{
	// TODO: add construction code here

}

CCI17View::~CCI17View()
{
}

BOOL CCI17View::PreCreateWindow(CREATESTRUCT& cs)
{
	// TODO: Modify the Window class or styles here by modifying
	//  the CREATESTRUCT cs

	return CView::PreCreateWindow(cs);
}

// CCI17View drawing

void CCI17View::OnDraw(CDC* pDC)
{
	CCI17Doc* pd = GetDocument();
	ASSERT_VALID(pd);
	for(unsigned int i=0;i<pd->cc.size();++i)
		pDC->Ellipse(CRect(pd->cc[i],pd->cc[i]+CPoint(15,15)));
}


// CCI17View printing

BOOL CCI17View::OnPreparePrinting(CPrintInfo* pInfo)
{
	// default preparation
	return DoPreparePrinting(pInfo);
}

void CCI17View::OnBeginPrinting(CDC* /*pDC*/, CPrintInfo* /*pInfo*/)
{
	// TODO: add extra initialization before printing
}

void CCI17View::OnEndPrinting(CDC* /*pDC*/, CPrintInfo* /*pInfo*/)
{
	// TODO: add cleanup after printing
}


// CCI17View diagnostics

#ifdef _DEBUG
void CCI17View::AssertValid() const
{
	CView::AssertValid();
}

void CCI17View::Dump(CDumpContext& dc) const
{
	CView::Dump(dc);
}
 
CCI17Doc* CCI17View::GetDocument() const // non-debug version is inline
{
	ASSERT(m_pDocument->IsKindOf(RUNTIME_CLASS(CCI17Doc)));
	return (CCI17Doc*)m_pDocument;
}
#endif //_DEBUG


// CCI17View message handlers

void CCI17View::OnLButtonUp(UINT nFlags, CPoint point)
{
	// TODO: Add your message handler code here and/or call default
  GetDocument()->cc.push_back(point);
	CView::OnLButtonUp(nFlags, point);
	Invalidate();
}
